﻿@model IEnumerable<BookViewModel>

<div class="col-md-8">
    <h4>Books</h4>
    <table class="table table-hover">
        <thead class="thead-light">
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Name)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Title)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Year)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Status)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Rating)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Title)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Year)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Status)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Rating)
                    </td>
                    <td>
                        <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-controller="Books" asp-action="Edit" asp-route-id="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/EditGreenTrans.png" alt="Edit" width="100">
                                </a>
                            </button>
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-controller="Books" asp-action="Details" asp-route-id="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/DetailsYellowTrans.png" alt="Details" width="100">
                                </a>
                            </button>
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-controller="Books" asp-action="Delete" asp-route-id="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/DeleteRedTrans.png" alt="Delete" width="100">
                                </a>
                            </button>
                        </div>

                        @*@Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ })
                            @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ })
                            @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })*@
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
